# 个人配置, 仅供参考, 请根据实际信息与个人喜好自行修改
# Update Time: 2024-11-24 21:19
# By: AC

allow-lan: false
log-level: silent
find-process-mode: always
tcp-concurrent: true
global-client-fingerprint: chrome
profile:
  store-selected: true
  store-fake-ip: true
unified-delay: true
geodata-loader: standard
geo-auto-update: true
geo-update-interval: 168
Global-DoH: &GDH
  - https://cloudflare-dns.com/dns-query
  - https://dns.google/dns-query
geodata-mode: true
geox-url:
    geoip: "http://hysteria.rymaker.com/blackmatrix7/geoip.dat"
    geosite: "http://hysteria.rymaker.com/blackmatrix7/geosite.dat"
    mmdb: "http://hysteria.rymaker.com/blackmatrix7/country.mmdb"
    asn: "http://hysteria.rymaker.com/blackmatrix7/GeoLite2-ASN.mmdb"  
dns:
  cache-algorithm: arc
  enable: true
  respect-rules: true
  listen: 0.0.0.0:1053
  ipv6: true
  default-nameserver:
    - system
    - tls://8.8.8.8:853
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  fake-ip-filter:
    - "*"
    - +.lan
    - +.local
    - +.msftconnecttest.com
    - +.msftncsi.com
    - localhost.ptlogin2.qq.com
    - localhost.sec.qq.com
    - localhost.work.weixin.qq.com
    - "*.srv.nintendo.net"
    - "*.stun.playstation.net"
    - xbox.*.microsoft.com
    - "*.xboxlive.com"
    - time.*.com
    - ntp.*.com
    - +.market.xiaomi.com
    - api.cloudflare.com
    - "*.oray.com"
    - "*.sunlogin.net"
    - "*.yuanshen.com"
    - +.music.126.net
    - +.music.163.com
  nameserver-policy:
    rule-set:Advertising,ZhihuAds,EasyPrivacy,BlockHttpDNS,MIUIPrivacy: rcode://success
    rule-set:BiliBili,SteamCN,Lan,ChinaMax,applications: system
    geosite:bilibili@!cn,steam: *GDH
    rule-set:Steam,Global: *GDH
  nameserver:
    - system
  fallback: *GDH
  proxy-server-nameserver:
    - https://doh.pub/dns-query
  direct-nameserver:
    - system
  fallback-filter:
    geoip: true
    geoip-code: CN
    ipcidr:
      - 240.0.0.0/4
  

sniffer:
  enable: true
  force-dns-mapping: true
  parse-pure-ip: true
  override-destination: false
  sniff:
    HTTP:
      ports:
        - 80
        - 443
        - 8080-8880
      override-destination: true
    TLS:
      ports:
        - 443
        - 8443
    QUIC:
      ports:
        - 443
        - 8443
  skip-domain:
    - "*.rc.sunlogin.net"
    - "*.rc03.oray.com"
    - +.push.apple.com
    - "*.oray.com"
    - "*.sunlogin.net"

tun:
  enable: true
  stack: mixed
  auto-route: true
  auto-detect-interface: true
  dns-hijack:
    - any:53
  mtu: 1492
  strict-route: true
  route-exclude-address:
    - 192.168.0.0/16
    - 172.16.0.0/12
    - 10.0.0.0/8
  exclude-package:
    - com.cnspeedtest.globalspeed # 全球网测
    - com.huawei.genexcloud.speedtest # 花瓣测速
    - com.oray.sunlogin # 向日葵远程控制
    - com.netease.uuremote # GameViewer

Proxies-Servers-Config: &PSC
  type: hysteria2
  server: v1.gocup.top
  port: 443
  ports: 443
  password: tsz19961997412
  up: "300 Mbps"
  down: "300 Mbps"
  obfs: salamander 
  obfs-password: tsz19961997412
  sni: v1.gocup.top
  skip-cert-verify: false
  fingerprint: "29:FC:EF:F6:FF:A3:53:AD:4D:9F:45:F0:3A:E0:68:9C:78:30:B8:00:C7:AD:2A:10:4D:22:D5:EC:9B:2A:4F:13"
  alpn:
    - h3
  ca-str: "-----BEGIN CERTIFICATE-----\nMIIE9TCCA92gAwIBAgISBsVnaX38swS+lGBP5nE83oN9MA0GCSqGSIb3DQEBCwUA\nMDMxCzAJBgNVBAYTAlVTMRYwFAYDVQQKEw1MZXQncyBFbmNyeXB0MQwwCgYDVQQD\nEwNSMTIwHhcNMjUxMDI0MDcyNzEyWhcNMjYwMTIyMDcyNzExWjAXMRUwEwYDVQQD\nEwx2MS5nb2N1cC50b3AwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCq\nUOJ8v85wSjjzCCHgLp3jl4nsdKdVfx1p+OG9QmQ/dzXrXq5wfyCOmLFhcd3udhy8\nbIByHq+j/iwyIicSh0UFVdkxsfxVEkrgqiAPYEQP/V+nYT1F9ZLh5lEXJgpMefZr\ntXRSc1PV+1/O3oCpLx2laRvigZGDyb5j/pe/ujwlSBvUHTSYg5BNfqII6SuEzDhm\nW8+mGsORplxZIg2bcgaYVvqaapV9GyP4RmROnIdZEVbpDleWm2QVZa0tlx8z7QYq\nxHXjcVh2vqAY27u/yZBbpE08q7hY8L6vO9LzvlbEPziPAXOnIMri2C0cEHkoy35K\nmJl2Q5kvPzBj1QzqCxWvAgMBAAGjggIdMIICGTAOBgNVHQ8BAf8EBAMCBaAwHQYD\nVR0lBBYwFAYIKwYBBQUHAwEGCCsGAQUFBwMCMAwGA1UdEwEB/wQCMAAwHQYDVR0O\nBBYEFFkZsDBHkUNNn8bu7A2IDKjsjPfeMB8GA1UdIwQYMBaAFAC1KfItjm8x6JtM\nrXg++tzpDNHSMDMGCCsGAQUFBwEBBCcwJTAjBggrBgEFBQcwAoYXaHR0cDovL3Ix\nMi5pLmxlbmNyLm9yZy8wFwYDVR0RBBAwDoIMdjEuZ29jdXAudG9wMBMGA1UdIAQM\nMAowCAYGZ4EMAQIBMC8GA1UdHwQoMCYwJKAioCCGHmh0dHA6Ly9yMTIuYy5sZW5j\nci5vcmcvMTI2LmNybDCCAQQGCisGAQQB1nkCBAIEgfUEgfIA8AB3AGQRxGykEuyn\niRyiAi4AvKtPKAfUHjUnq+r+1QPJfc3wAAABmhVS2rQAAAQDAEgwRgIhAOdKrn/P\n7HGmy2KnvG9WHgTSs13XxMBKnN5rH59dKVC1AiEA+BGbEbTRcXtZi0nQcDKK5W8f\ncxh+Ns6uw4BJ2/KUECQAdQAZhtTHKKpv/roDb3gqTQGRqs4tcjEPrs5dcEEtJUzH\n1AAAAZoVUtq3AAAEAwBGMEQCIFx0kKLmuO+LsSarrGEzddb1wUBr/TKHSy/d18fN\nDapaAiBK1OfGdy0QKmfBMTot0+mDuhdUi1kru41GkqBeJy4zsDANBgkqhkiG9w0B\nAQsFAAOCAQEAO8wRTz0AL4xeYVO/pVAQjnW76SDNA6bLtlt2mij2kwdjSrPAkhPf\nF3izKXwlOyFB5E40kO6aPjDnbt1Hn9ihEKuLxZZ5V4/OGFY/xFWvbZ0KCPhP05fG\nThKqEeeKljGZ0Mjh2mvfWaIwS8dn7VQh7Se9Em0iSNsY7UUSa6oUUV7QuscPB+2m\nfbQwiUEXPMNXEMkBdc85wsMG06MuwKn+1Omi4z2jz1hBVtr1Y2nNgzj+2mqtTaot\nOMIGtKcte/0oz0TSYtz/Z6i2BQiQuVKcF7UnNgAkg70AvZxGLkaWjMcQqlHbgqF2\nd+lbO9VeBOdc+MQKp+/iLjDN300BEBE7JA==\n-----END CERTIFICATE-----\n-----BEGIN CERTIFICATE-----\nMIIFBjCCAu6gAwIBAgIRAMISMktwqbSRcdxA9+KFJjwwDQYJKoZIhvcNAQELBQAw\nTzELMAkGA1UEBhMCVVMxKTAnBgNVBAoTIEludGVybmV0IFNlY3VyaXR5IFJlc2Vh\ncmNoIEdyb3VwMRUwEwYDVQQDEwxJU1JHIFJvb3QgWDEwHhcNMjQwMzEzMDAwMDAw\nWhcNMjcwMzEyMjM1OTU5WjAzMQswCQYDVQQGEwJVUzEWMBQGA1UEChMNTGV0J3Mg\nRW5jcnlwdDEMMAoGA1UEAxMDUjEyMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB\nCgKCAQEA2pgodK2+lP474B7i5Ut1qywSf+2nAzJ+Npfs6DGPpRONC5kuHs0BUT1M\n5ShuCVUxqqUiXXL0LQfCTUA83wEjuXg39RplMjTmhnGdBO+ECFu9AhqZ66YBAJpz\nkG2Pogeg0JfT2kVhgTU9FPnEwF9q3AuWGrCf4yrqvSrWmMebcas7dA8827JgvlpL\nThjp2ypzXIlhZZ7+7Tymy05v5J75AEaz/xlNKmOzjmbGGIVwx1Blbzt05UiDDwhY\nXS0jnV6j/ujbAKHS9OMZTfLuevYnnuXNnC2i8n+cF63vEzc50bTILEHWhsDp7CH4\nWRt/uTp8n1wBnWIEwii9Cq08yhDsGwIDAQABo4H4MIH1MA4GA1UdDwEB/wQEAwIB\nhjAdBgNVHSUEFjAUBggrBgEFBQcDAgYIKwYBBQUHAwEwEgYDVR0TAQH/BAgwBgEB\n/wIBADAdBgNVHQ4EFgQUALUp8i2ObzHom0yteD763OkM0dIwHwYDVR0jBBgwFoAU\nebRZ5nu25eQBc4AIiMgaWPbpm24wMgYIKwYBBQUHAQEEJjAkMCIGCCsGAQUFBzAC\nhhZodHRwOi8veDEuaS5sZW5jci5vcmcvMBMGA1UdIAQMMAowCAYGZ4EMAQIBMCcG\nA1UdHwQgMB4wHKAaoBiGFmh0dHA6Ly94MS5jLmxlbmNyLm9yZy8wDQYJKoZIhvcN\nAQELBQADggIBAI910AnPanZIZTKS3rVEyIV29BWEjAK/duuz8eL5boSoVpHhkkv3\n4eoAeEiPdZLj5EZ7G2ArIK+gzhTlRQ1q4FKGpPPaFBSpqV/xbUb5UlAXQOnkHn3m\nFVj+qYv87/WeY+Bm4sN3Ox8BhyaU7UAQ3LeZ7N1X01xxQe4wIAAE3JVLUCiHmZL+\nqoCUtgYIFPgcg350QMUIWgxPXNGEncT921ne7nluI02V8pLUmClqXOsCwULw+PVO\nZCB7qOMxxMBoCUeL2Ll4oMpOSr5pJCpLN3tRA2s6P1KLs9TSrVhOk+7LX28NMUlI\nusQ/nxLJID0RhAeFtPjyOCOscQBA53+NRjSCak7P4A5jX7ppmkcJECL+S0i3kXVU\ny5Me5BbrU8973jZNv/ax6+ZK6TM8jWmimL6of6OrX7ZU6E2WqazzsFrLG3o2kySb\nzlhSgJ81Cl4tv3SbYiYXnJExKQvzf83DYotox3f0fwv7xln1A2ZLplCb0O+l/AK0\nYE0DS2FPxSAHi0iwMfW2nNHJrXcY3LLHD77gRgje4Eveubi2xxa+Nmk/hmhLdIET\niVDFanoCrMVIpQ59XWHkzdFmoHXHBV7oibVjGSO7ULSQ7MJ1Nz51phuDJSgAIU7A\n0zrLnOrAj/dfrlEWRhCvAgbuwLZX1A2sjNjXoPOHbsPiy+lO1KF8/XY7\n-----END CERTIFICATE-----"
             
proxies:
  - name: lihun
    port: 10066 # (需要自行替换)
    <<: *PSC


All-Regions-Nodes: &ARN
  proxies:
    - Main

Proxy-Groups-Type:
  Select: &PGT
    type: select
    url: &HCT-URL https://www.gstatic.com/generate_204
  Load-balance: &PGTL
    type: load-balance
    url: *HCT-URL
    interval: 300
    strategy: consistent-hashing
    hidden: true

proxy-groups:
  - name: Main
    <<: *PGT
    proxies:
      - lihun
    icon: example.com # (自定义)

Rule-Providers-Format: &RPF
  type: http
  interval: 604800
  proxy: Main
  behavior: classical

rule-providers:
  Advertising:
    url: http://hysteria.rymaker.com/blackmatrix7/Advertising_Classical_No_Resolve.yaml
    <<: *RPF
  ZhihuAds:
    url: http://hysteria.rymaker.com/blackmatrix7/ZhihuAds_No_Resolve.yaml
    <<: *RPF
  EasyPrivacy:
    url: http://hysteria.rymaker.com/blackmatrix7/EasyPrivacy_Classical_No_Resolve.yaml
    <<: *RPF
  BlockHttpDNS:
    url: http://hysteria.rymaker.com/blackmatrix7/BlockHttpDNS_No_Resolve.yaml
    <<: *RPF
  MIUIPrivacy:
    url: http://hysteria.rymaker.com/blackmatrix7/MIUIPrivacy_No_Resolve.yaml
    <<: *RPF
  Lan:
    url: http://hysteria.rymaker.com/blackmatrix7/Lan_No_Resolve.yaml
    <<: *RPF
  ChinaMax:
    url: http://hysteria.rymaker.com/blackmatrix7/hinaMax_Classical.yaml
    <<: *RPF
  applications:
    url: http://hysteria.rymaker.com/blackmatrix7/applications.txt
    <<: *RPF
  BiliBili:
    url: http://hysteria.rymaker.com/blackmatrix7/BiliBili_No_Resolve.yaml
    <<: *RPF
  Steam:
    url: http://hysteria.rymaker.com/blackmatrix7/Steam_No_Resolve.yaml
    <<: *RPF
  SteamCN:
    url: http://hysteria.rymaker.com/blackmatrix7/SteamCN_No_Resolve.yaml
    <<: *RPF
  AdobeActivation:
    url: http://hysteria.rymaker.com/blackmatrix7/AdobeActivation_No_Resolve.yaml
    <<: *RPF
  Global:
    url: http://hysteria.rymaker.com/blackmatrix7/Global_Classical_No_Resolve.yaml
    <<: *RPF

rules:
  - IP-CIDR,8.8.8.8/32,Main,no-resolve
  - DOMAIN,cloudflare-dns.com,Main
  - DOMAIN,dns.google,Main
  - RULE-SET,Advertising,Main
  - RULE-SET,ZhihuAds,Main
  - RULE-SET,EasyPrivacy,Main
  - RULE-SET,BlockHttpDNS,Main
  - RULE-SET,BiliBili,Main
  - RULE-SET,SteamCN,DIRECT
  - GEOSITE,Steam,Main
  - RULE-SET,Steam,Main
  # - GEOSITE,adobe-activation,Adobe Activation
  # - RULE-SET,AdobeActivation,Adobe Activation
  - RULE-SET,Lan,DIRECT
  - RULE-SET,ChinaMax,DIRECT
  - RULE-SET,applications,DIRECT
  - GEOIP,CN,DIRECT,no-resolve
  - MATCH,Main
